Last Comment Bug 451918 - Remove |APP_XPCOM_LIBS| from /browser/
: Remove |APP_XPCOM_LIBS| from /browser/
Status: VERIFIED FIXED
[Fixed by bug 648911]
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: Firefox 6
Assigned To: Arpad Borsos [:Swatinem]
:
: Gregory Szorc [:gps]
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 345517 455095 648911
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 22:26 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-02-14 08:22 PST (History)
7 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch [Superseded by bug 648911] (536 bytes, patch)
2008-08-26 02:36 PDT, Arpad Borsos [:Swatinem]
benjamin: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2008-08-23 22:26:13 PDT
Port |Bug 451871 – Remove |MOZILLA_INTERNAL_API| from /suite/| to Firefox.
Comment 1 Arpad Borsos [:Swatinem] 2008-08-26 02:36:27 PDT
Created attachment 335506 [details] [diff] [review]
patch
[Superseded by bug 648911]

small patch to do the job.
Comment 2 Mark Banner (:standard8, limited time in Dec) 2008-08-30 06:16:03 PDT
Note: bug 451871 got backed out because of tracemalloc bustage.
Comment 3 Serge Gautherie (:sgautherie) 2008-08-31 08:52:52 PDT
(In reply to comment #2)
> Note: bug 451871 got backed out because of tracemalloc bustage.

True, yet:
*The SM bustage still needs to be "confirmed" / narrowed down.
*Isn't Firefox already using |MOZ_ENABLE_LIBXUL| anyway ?
Comment 4 Ted Mielczarek [:ted.mielczarek] 2008-08-31 09:06:50 PDT
Yes, but it's possible to build --disable-libxul, and debug builds disable libxul by default. (And tracemalloc probably doesn't work with libxul anyway.)
Comment 5 Serge Gautherie (:sgautherie) 2008-08-31 09:39:02 PDT
(In reply to comment #4)
> Yes, but it's possible to build --disable-libxul, and debug builds disable libxul by default.

Ah... (Looking forward to "libxul only" (Firefox) ;->)

Then, someone needs to check a debug Firefox build.
Note that a debug SeaMonkey (without trace-malloc) build works fine with "this" patch.

> (And tracemalloc probably doesn't work with libxul anyway.)

Fwiw, as far as compiling and generating the logs, it works fine on my Windows (libxul SeaMonkey).
Comment 6 Dão Gottwald [:dao] 2008-09-08 04:36:53 PDT
http://hg.mozilla.org/mozilla-central/rev/6772511dc81a
Comment 7 Daniel Holbert [:dholbert] 2008-09-12 17:01:50 PDT
Just backed this out, to see if it fixes bug 455095. (linux leak stats mysteriously all going to 0)

Backout was http://hg.mozilla.org/mozilla-central/rev/9d9569916616
Comment 8 Mark Banner (:standard8, limited time in Dec) 2012-02-14 04:51:12 PST
This got fixed a while ago by bug 648911
Comment 9 Serge Gautherie (:sgautherie) 2012-02-14 08:22:05 PST
V.Fixed

Note You need to log in before you can comment on or make changes to this bug.